# **Structured-QA Blueprint**

<div style="text-align: center;">
  <img src="images/structured-qa-diagram.png" alt="Project Logo" style="width: 100%; margin-bottom: 1px; margin-top: 1px;">
</div>

Blueprints empower developers to easily integrate AI capabilities into their projects using open-source models and tools.

These docs are your companion to mastering the **Structured-QA Blueprint** a local-first approach for answering questions about your structured documents.

### Built with
- Python 3.10+
- [Llama-cpp](https://github.com/abetlen/llama-cpp-python) (question answering)

---

### 🚀 **Get Started Quickly**
#### _Start building your own Structured-QA pipeline in minutes:_
- **[Getting Started](getting-started.md):** Quick setup and installation instructions.

### 🔍 **Understand the System**
#### _Dive deeper into how the Blueprint works:_
- **[Step-by-Step Guide](step-by-step-guide.md):** A detailed breakdown of the system’s design and workflow.
- **[API Reference](api.md):** Explore the technical details of the core modules.

### 🎨 **Make It Yours**
#### _Customize the Blueprint to fit your needs:_
- **[Customization Guide](customization.md):** Tailor prompts and settings to adapt your use case.

### 🌟 **Join the Community**
#### _Help shape the future of Blueprints:_
- **[Future Features & Contributions](future-features-contributions.md):** Learn about exciting upcoming features and how to contribute to the project.


Have more questions? Reach out to us on Discord and we'll see how we can help:

<div style="text-align: center;">
    <a target="_blank" href="https://discord.gg/c3Mxff4H"><img src="https://dcbadge.limes.pink/api/server/c3Mxff4H" alt="" /></a>
</div>

---

## **Why Blueprints?**

Blueprints are more than starter code—they’re your gateway to building AI-powered solutions with confidence. With step-by-step guidance, modular design, and open-source tools, we make AI accessible for developers of all skill levels.
